Historical orders
curl --request POST \
--url 'https://api.hypedexer.com/info#historicalOrders' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "historicalOrders",
"user": "0x010461c14e146ac35fe42271bdc1134ee31c703a",
"limit": 1
}
'import requests
url = "https://api.hypedexer.com/info#historicalOrders"
payload = {
"type": "historicalOrders",
"user": "0x010461c14e146ac35fe42271bdc1134ee31c703a",
"limit": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'historicalOrders',
user: '0x010461c14e146ac35fe42271bdc1134ee31c703a',
limit: 1
})
};
fetch('https://api.hypedexer.com/info#historicalOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"order": {
"coin": "XPL",
"side": "A",
"limitPx": "0.11161",
"sz": "216095.0",
"origSz": "248829.0",
"oid": 557019688085,
"orderType": "Limit",
"tif": "Gtc",
"reduceOnly": true,
"isTrigger": false,
"triggerPx": "0.0",
"triggerCondition": "N/A",
"isPositionTpsl": false,
"timestamp": 1790395641208,
"cloid": null,
"children": []
},
"status": "selfTradeCanceled",
"statusTimestamp": 1790395662053
}
]{
"error": "Invalid API key"
}Account History
Historical orders
The wallet’s most recent orders with their latest status, in Hyperliquid’s shape.
- Without
lookbackDays, returns thelimitmost recent orders whatever their age, latest status first, as Hyperliquid does.lookbackDaysrestricts the result to statuses from the last N days. - Prices and sizes use Hyperliquid’s format, always with at least one decimal (
"93604.0","0.0").cloidandtifare always present,nullwhen absent.childrenis always[]: TP/SL children are not indexed. - Beyond the
limitmost recent orders, an older order whose status changes today is not returned.
POST
/
info#historicalOrders
Historical orders
Authorizations
Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.
Body
application/json